#!/usr/bin/env python3
# vim: set expandtab softtabstop=4 shiftwidth=4:

import vtk
vtkver = vtk.vtkVersion().GetVTKSourceVersion()
print(vtkver)

for jpg in ( 'Adobe.jpg', 'EXIF.jpg', 'JFIF.jpg', 'Samsung.jpg', ):
    print(jpg)
    reader = vtk.vtkJPEGReader()
    reader.SetFileName(jpg)
    reader.Update()
    print(reader.GetDataExtent())

